Page MenuHomePhabricator

Fatal error on Commons: LocalRepo::newFileFromRow: invalid row
Closed, ResolvedPublic

Description

As Commons oversighter I tried to hide a file revision:

http://commons.wikimedia.org/w/index.php?title=Special:RevisionDelete&type=filearchive&target=File%3AJohan_Wikstr%C3%B6m.jpg&ids=1249652

LocalRepo::newFileFromRow: invalid row

Backtrace:

#0 /usr/local/apache/common-local/php-1.17/includes/revisiondelete/RevisionDelete.php(355): LocalRepo->newFileFromRow(Object(stdClass))
#1 /usr/local/apache/common-local/php-1.17/includes/revisiondelete/RevisionDelete.php(529): RevDel_FileItem->construct(Object(RevDel_ArchivedFileList), Object(stdClass))
#2 /usr/local/apache/common-local/php-1.17/includes/revisiondelete/RevisionDelete.php(520): RevDel_ArchivedFileItem->
construct(Object(RevDel_ArchivedFileList), Object(stdClass))
#3 /usr/local/apache/common-local/php-1.17/includes/revisiondelete/RevisionDeleteAbstracts.php(252): RevDel_ArchivedFileList->newItem(Object(stdClass))
#4 /usr/local/apache/common-local/php-1.17/includes/revisiondelete/RevisionDeleteAbstracts.php(268): RevDel_List->initCurrent()
#5 /usr/local/apache/common-local/php-1.17/includes/specials/SpecialRevisiondelete.php(359): RevDel_List->reset()
#6 /usr/local/apache/common-local/php-1.17/includes/specials/SpecialRevisiondelete.php(202): SpecialRevisionDelete->showForm()
#7 /usr/local/apache/common-local/php-1.17/includes/SpecialPage.php(579): SpecialRevisionDelete->execute(NULL)
#8 /usr/local/apache/common-local/php-1.17/includes/Wiki.php(250): SpecialPage::executePath(Object(Title))
#9 /usr/local/apache/common-local/php-1.17/includes/Wiki.php(63): MediaWiki->handleSpecialCases(Object(Title), Object(OutputPage), Object(WebRequest))
#10 /usr/local/apache/common-local/php-1.17/index.php(114): MediaWiki->performRequestForTitle(Object(Title), NULL, Object(OutputPage), Object(User), Object(WebRequest))
#11 /usr/local/apache/common-local/live-1.5/index.php(3): require('/usr/local/apac...')
#12 {main}


Version: unspecified
Severity: critical

Details

Reference
bz27822

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:30 PM
bzimport set Reference to bz27822.
Raymond created this task.Mar 2 2011, 10:42 AM

Reedy fixed this (accidentally?) in r78380. Merging that revision into 1.17 should fix the issue.

demon added a comment.Mar 7 2011, 12:22 AM

Deployed to the sites, fixed in trunk. Tagged for merge with REL1_17.

FIXED :)